Role Name
=========

A role that installs the tomcat packages

Role Variables
--------------

The most important variables are listed below:

``` yaml
tomcat_min_heap_size: 2048m
tomcat_heap_size: '{{ tomcat_min_heap_size }}'
tomcat_other_java_opts: ""
tomcat_javamelody: False
tomcat_install_admin: False
tomcat_manager_gui_user_enabled: True
tomcat_manager_gui_user: guiadmin
tomcat_manager_gui_r: "manager-gui"
#tomcat_manager_gui_pwd: *See the vault file*
tomcat_manager_script_user_enabled: False
tomcat_manager_script_user: scriptadmin
tomcat_manager_script_r: "manager-script"
#tomcat_manager_script_pwd: *See the vault file*
tomcat_manager_jmx_user_enabled: False
tomcat_manager_jmx_user: jmxadmin
tomcat_manager_jmx_r: "manager-jmx"
#tomcat_manager_jmx_pwd: *See the vault file*
tomcat_manager_status_user_enabled: False
tomcat_manager_status_user: statusadmin
tomcat_manager_status_r: "manager-status"
#tomcat_manager_status_pwd: *See the vault file*
```

Dependencies
------------

openjdk, <git+https://gitea-s2i2s.isti.cnr.it/ISTI-ansible-roles/ansible-role-openjdk.git>

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
